> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search logs

> Searches audit trail logs using the query supplied in the request body and returns the matching log entries. Accepts an optional index query parameter to select the log index to search, defaulting to filebeat-*.



## OpenAPI

````yaml /schema.json post /spaces/audit_trail
openapi: 3.1.0
info:
  version: 01KV4EC0SHV95TK2YR66AMKFZC
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /spaces/audit_trail:
    post:
      tags:
        - Spaces
      summary: Search logs
      description: >-
        Searches audit trail logs using the query supplied in the request body
        and returns the matching log entries. Accepts an optional index query
        parameter to select the log index to search, defaulting to filebeat-*.
      operationId: getSpacesAuditTrail
      parameters:
        - name: index
          in: query
          description: Index to use
          required: false
          schema:
            type: string
            default: filebeat-*
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchLogsQuery'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchLogsResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SearchLogsQuery:
      type: object
      properties:
        parameters:
          type: object
    SearchLogsResult:
      type: object
      additionalProperties: true
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````